<?php

namespace Drupal\commerce_squad\Plugin\Commerce\PaymentGateway;

use Drupal\commerce_payment\Plugin\Commerce\PaymentGateway\OffsitePaymentGatewayInterface;

/**
 * Provides the interface for the Squad payment gateway.
 */
interface SquadPaymentGatewayInterface extends OffsitePaymentGatewayInterface {

  /**
   * Get the Squad Merchant ID set for the payment gateway.
   *
   * @return string
   *   The Squad Merchant ID.
   */
  public function getMerchantId();

  /**
   * Get the Squad API Private key set for the payment gateway.
   *
   * @return string
   *   The Squad API Private key.
   */
  public function getPrivateKey();

  /**
   * Verifies a previous transaction from the Squad Standard payment gateway.
   *
   * @param array $configuration
   *   The configuration array for the payment gateway.
   * @param string $transactionReference
   *   The reference ID of the transaction to verify.
   *
   * @return string
   *   The status of the transaction.
   */
  //public function verifyTransaction($transactionReference);

}

